Package org.multiverse.api.exceptions

## Class RetryError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.multiverse.api.exceptions.ControlFlowError
      - - org.multiverse.api.exceptions.RetryError

- All Implemented Interfaces:
    `Serializable`

      public class RetryError
      extends ControlFlowError

  A `ControlFlowError` thrown when an explicit retry is done on a `Txn`. With the {RetryError} it is possible to create blocking transactions.

  An example is a transaction wants to pop an item from an empty queue. The Retry is caught by the transaction handling logic (e.g the `TxnExecutor` and blocks until either a timeout happens or an item is placed on the queue.

  See Also:
    `Txn.retry()`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RetryError` | `INSTANCE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RetryError​(boolean fillStackTrace)` | Creates a new Retry Error.

  - ### Method Summary

    - ### Methods inherited from class org.multiverse.api.exceptions.ControlFlowError

      `getStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final RetryError INSTANCE

  - ### Constructor Detail

    - #### RetryError

          public RetryError​(boolean fillStackTrace)

      Creates a new Retry Error.
      Parameters:
        `fillStackTrace` - if the StackTrace should be filled.